<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryCursor..::.MoveLast Method (DatabaseEntry, DatabaseEntry, DatabaseEntry, LockingInfo)
SecondaryCursor Class See Also Send Feedback

Set the cursor to refer to the last key/data pair of the database, and store the secondary key and primary key/data pair in Current. If the last key has duplicate values, the last data item in the set of duplicates is stored in Current. If key, or pkey, or data is partial DatabaseEntry, its PartialLen bytes starting PartialOffset bytes from the beginning of the retrieved data record are returned as if they comprised the entire record. If any or all of the specified bytes do not exist in the record, MoveLast is successful, and any existing bytes are returned.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.14.0

# Syntax

C#

    public bool MoveLast(
    	DatabaseEntry key,
    	DatabaseEntry pkey,
    	DatabaseEntry data,
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function MoveLast ( _
    	key As DatabaseEntry, _
    	pkey As DatabaseEntry, _
    	data As DatabaseEntry, _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool MoveLast(
    	DatabaseEntry^ key,
    	DatabaseEntry^ pkey,
    	DatabaseEntry^ data,
    	LockingInfo^ info
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The retrieved key in secondary db

pkey
  Type: BerkeleyDB..::.DatabaseEntry
  The key of the matching record in primary db

data
  Type: BerkeleyDB..::.DatabaseEntry
  The data of the matching record in primary db

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

SecondaryCursor Class
MoveLast Overload
BerkeleyDB Namespace